package com.hzya.frame.plugin.cinvoice.lexmis.service.impl; 
import com.baomidou.dynamic.datasource.annotation.DS;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.plugin.cinvoice.lexmis.entity.LexmiscivInvoicemainEntity;
import com.hzya.frame.plugin.cinvoice.lexmis.service.ILexmiscivInvoicemainService;
import com.hzya.frame.plugin.cinvoice.lexmis.dao.ILexmiscivInvoicemainDao;
import com.hzya.frame.basedao.service.impl.BaseService;
/**
 * @description: 迈锐思-增值税发票主表  service
 * @tableName:   LEXMISCIV_INVOICEMAIN 
 * @entityName:  LexmiscivInvoicemainEntity
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="LEXMISCIV_INVOICEMAINService")
public class  LexmiscivInvoicemainServiceImpl extends BaseService< LexmiscivInvoicemainEntity,String> implements ILexmiscivInvoicemainService{
	
	protected ILexmiscivInvoicemainDao  lexmiscivinvoicemainDao;
	
	@Autowired
	public void setLexmiscivInvoicemainDao(ILexmiscivInvoicemainDao dao) {
		this.lexmiscivinvoicemainDao = dao;
		this.dao=dao;
	}

	/**
	 * 根据主键查查增值税发票主表信息
	 *
	 * @param entity
	 * @return
	 */
	@DS("#entity.dataSourceCode")
	@Override
	public LexmiscivInvoicemainEntity getByImId(LexmiscivInvoicemainEntity entity) {
		LexmiscivInvoicemainEntity lexmiscivInvoicemainEntity = lexmiscivinvoicemainDao.queryOne(entity);
		return lexmiscivInvoicemainEntity;
	}
}
