package com.hzya.frame.plugin.contract.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.plugin.contract.entity.ContractAuditEntity;

import java.util.List;

/**
 * @Description 合同评审
 * @Author xiangerlin
 * @Date 2025/3/31 11:15
 **/
public interface IContractAuditService extends IBaseService<ContractAuditEntity,String> {

    /**
     * 查询超过60天还没审批的逾期合同
     * @param entity
     * @return
     * @throws Exception
     */
    List<ContractAuditEntity> queryOverdueList(ContractAuditEntity entity)throws Exception;
}
