package com.hzya.frame.plugin.incomeInvoiceData.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.plugin.incomeInvoiceData.entity.IncomeInvoiceEntity;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;
import com.hzya.frame.sysnew.messageManageLog.entity.SysMessageManageLogEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 *
 * @author makejava
 * @since 2024-06-21 13:52:35
 */
public interface IIncomeInvoiceService extends IBaseService<IncomeInvoiceEntity, String> {
    /**
     * @Author lvleigang
     * @Description  全量发票数据
     * @Date 4:28 下午 2025/4/16
     * @param requestJson
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity getIncomeInvoiceData(JSONObject requestJson);
    SysExtensionApiEntity setData(SysExtensionApiEntity entity) throws Exception;
    void setDataCallBack(SysMessageManageLogEntity entity) throws Exception;

    JsonResultEntity sendFinancialReportPlugin(JSONObject requestJson);
}
