package com.hzya.frame.seeyon.invoice.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.seeyon.invoice.entity.InvoiceEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

public interface IInvoiceService extends IBaseService<InvoiceEntity,String> {

    /**
     *
     * @content 查询需要推送税务的数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-04-01 15:25
     * **/
    JsonResultEntity queryArchives(JSONObject jsonObject);

    /**
     *
     * @content 根据申请单查询开票结果
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-04-02 14:10
     * **/
    JsonResultEntity queryInvoiceResult(JSONObject json);
    
    /**
     * 
     * @content 进项发票推送结果查询（查询发票批量录入结果）
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2025-04-17 15:11
     * **/
    JsonResultEntity queryInputInvoiceResult(JSONObject json);
}
