package com.hzya.frame.plugin.zxBank.plugin;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.base.PluginBaseEntity;
import com.hzya.frame.seeyon.zxbank.service.IZxBankService;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

public class ZxBankElecPluginInitializer extends PluginBaseEntity {
    Logger logger = LoggerFactory.getLogger(ZxBankElecPluginInitializer.class);
    @Autowired
    private IZxBankService zxBankService;

    @Override
    public void initialize() {
        logger.info(getPluginLabel() + "執行初始化方法initialize()");
    }

    @Override
    public void destroy() {
        logger.info(getPluginLabel() + "執行銷毀方法destroy()");
    }

    @Override
    public String getPluginId() {
        return "ZxBankElecPluginInitializer";
    }

    @Override
    public String getPluginName() {
        return "ZxBankElecPluginInitializer插件";
    }

    @Override
    public String getPluginLabel() {
        return "ZxBankElecPluginInitializer";
    }

    @Override
    public String getPluginType() {
        return "1";
    }
    @Override
    public JsonResultEntity executeBusiness(JSONObject requestJson) {
        try {
            logger.info("======开始执行杭泰付款单查询电子回单并下载电子回单========");
            return zxBankService.queryArchivesElec(requestJson);
        }catch (Exception e){
            logger.info("======执行杭泰付款单查询电子回单并下载电子回单失败:{}========",e.getMessage());
            e.printStackTrace();
        }
        return null;
    }

}
