package com.hzya.frame.seeyon.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.seeyon.entity.CtpFileEntity;

import java.util.List;

/**
 * @Description seeyon 附件对象
 * @Author xiangerlin
 * @Date 2024/6/17 15:21
 **/
public interface ICtpFileDao extends IBaseDao<CtpFileEntity,String> {


    List<CtpFileEntity> queryFile(CtpFileEntity ctpFileEntity);
    /**
     *
     * @content 根据附件id查询附加信息
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-04-27 18:03
     * **/
    List<CtpFileEntity> queryCtpFileById(CtpFileEntity ctpFileEntity);
}
